Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: upgrade 7.04  (gelezen 1047 keer)

oNNoZeLe

  • Gast
upgrade 7.04
« Gepost op: 2007/04/25, 11:58:13 »
Hoi mensen..

Ben pas een beginner met ubuntu maar vind het al geweldig.

Nu heb ik vanmorgen de 7.04 upgrade gedaan..

kreeg een foutmelding over linux-image-2.6.20-15-386. toch maar een reboot gedaan en alles werkte nog..

en in 7.04.

Nu met de synaptic.. opnieuw linux-image-2.6.20-15-386 willen installeren maar dit liep stuk op het onderstaande, is er iets mis? kan ik de upgrade opnieuw doen? of een mogelijk om mijn installatie te controleren?
mvg koen:
E: linux-image-2.6.20-15-386: subprocess post-installation script returned error exit status 2
E: linux-image-386: dependency problems - leaving unconfigured
E: linux-restricted-modules-2.6.20-15-386: dependency problems - leaving unconfigured
E: linux-restricted-modules-386: dependency problems - leaving unconfigured
E: linux-386: dependency problems - leaving unconfigured

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
upgrade 7.04
« Reactie #1 Gepost op: 2007/04/25, 12:09:38 »
sudo apt-get dist-upgrade
sudo apt-get update
sudo apt-get upgrade

verder zou je: sudo apt-get install -f,en sudo apt-get upgrade -f  kunnen
proberen. maar eerst de bovenste drie.

oNNoZeLe

  • Gast
upgrade 7.04
« Reactie #2 Gepost op: 2007/04/25, 12:49:09 »
de middelste doet het .. de bovenste en onderste niet.. geven foutmelding:

Dit is het einde van de sudo apt-get dist-upgrade:

Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.20-15-386
W: mdadm: unchecked configuration file: /etc/mdadm/mdadm.conf
W: mdadm: please read /usr/share/doc/mdadm/README.upgrading-2.5.3.gz .
W: mdadm: no arrays defined in configuration file.
W: mdadm: falling back to emergency procedure in initramfs.
The provided postinst hook script [/sbin/update-grub] could not be run.
dpkg: error processing linux-image-2.6.20-15-386 (--configure):
 subprocess post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of linux-image-386:
 linux-image-386 depends on linux-image-2.6.20-15-386; however:
  Package linux-image-2.6.20-15-386 is not configured yet.
dpkg: error processing linux-image-386 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-restricted-modules-2.6.20-15-386:
 linux-restricted-modules-2.6.20-15-386 depends on linux-image-2.6.20-15-386; however:
  Package linux-image-2.6.20-15-386 is not configured yet.
dpkg: error processing linux-restricted-modules-2.6.20-15-386 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-restricted-modules-386:
 linux-restricted-modules-386 depends on linux-restricted-modules-2.6.20-15-386; however:
  Package linux-restricted-modules-2.6.20-15-386 is not configured yet.
dpkg: error processing linux-restricted-modules-386 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-386:
 linux-386 depends on linux-image-386 (= 2.6.20.15.14); however:
  Package linux-image-386 is not configured yet.
 linux-386 depends on linux-restricted-modules-386 (= 2.6.20.15.14); however:
  Package linux-restricted-modules-386 is not configured yet.
dpkg: error processing linux-386 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 linux-image-2.6.20-15-386
 linux-image-386
 linux-restricted-modules-2.6.20-15-386
 linux-restricted-modules-386
 linux-386
E: Sub-process /usr/bin/dpkg returned an error code (1)

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
upgrade 7.04
« Reactie #3 Gepost op: 2007/04/25, 12:52:03 »
kun je kijken of:
linux-image-2.6.20-15-386
linux-image-386
linux-restricted-modules-2.6.20-15-386
linux-restricted-modules-386
linux-386
alle 5 pakketten in de synaptic geinstalleerd staan?

oNNoZeLe

  • Gast
upgrade 7.04
« Reactie #4 Gepost op: 2007/04/25, 13:04:40 »
eens kijken...
linux-386 = installed
linux-image-2.6.20-15-386 = installed
Deze ook:
Citaat
linux-image-2.6.17-11-386 = installed
linux-image-2.6.15-28-386 = installed
linux-image-2.6.15-26-386 = installed
linux-image-386 = installed

linux-restricted-modules-2.6.20-15-386 = installed
Deze ook:
Citaat
linux-restricted-modules-2.6.17-11-386 = installed
linux-restricted-modules-2.6.15-28-386 = installed
linux-restricted-modules-2.6.15-26-386 = installed
linux-restricted-modules-386 = installed

oNNoZeLe

  • Gast
upgrade 7.04
« Reactie #5 Gepost op: 2007/04/26, 08:08:54 »
het wil niet echt lukken...

mdadm zit in de weg heb ik begrepen.. Maar een uninstall wil niet lukken want loopt dan tegen dezelfde fout aan..


ook in recovery niet. erg jammer dat dit mis gaat.. wil niet te veel klooien met de kans da'k hem verpruts.


ik zie ook nergens een optie op de distro upgrdae/install opnieuw te doen. wellicht dat dat meer zou doen..

we wachten even op wat updates..

bvd

oNNoZeLe

  • Gast
upgrade 7.04
« Reactie #6 Gepost op: 2007/04/26, 09:51:46 »
het is opgelost..

Het kan door 2 dingen opgelost zijn. Heb even zitten proberen en weet niet meer wat en hoe. haha.

1. pre-release updates aangezet en updates gedaan..
2.  mdadm was de-installed, heb opnieuw installed en bij de enige vraag ipv 'all' none geselecteerd.

Om een of andere vage reden werkt nu ook mijn ntfs partitie niet meer.. we gaan verder maar krijg geen foutmeldingen meer.. zoals in post 1 en 3..

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
upgrade 7.04
« Reactie #7 Gepost op: 2007/04/26, 09:56:42 »
wat bedoel je met : mijn nfts partitie doet het niet meer. niet meer zichtbaar op je buroblad?

oNNoZeLe

  • Gast
upgrade 7.04
« Reactie #8 Gepost op: 2007/04/26, 10:07:27 »
yepp.,.

ntfs-config zegt bij het mounten

Error: An error had occurred when configuring /media/Storage, please retry.

zie hem wel in de nautilus maar daar is ie write protected..